#include <bits/stdc++.h>

using namespace std;
const int MAXN = 2e5;
int brNesortiranih[MAXN];
int a[MAXN];
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;cin>>n;
    cin>>a[0];
    for(int i = 1; i<n; i++){
        cin>>a[i];
        if(a[i]<a[i-1]){
            brNesortiranih[i] = brNesortiranih[i-1]+1;
        }
        else{
            brNesortiranih[i] = brNesortiranih[i-1];
        }
    }
    int q; cin>>q;
    for(int i = 0; i<q; i++){
        int l, r;
        cin>>l>>r;
        l--;r--;
        if(brNesortiranih[r]-brNesortiranih[l]<=1){
            cout<<"DA\n";
        }
        else{
            cout<<"NE\n";
        }
    }
    return 0;
}